Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
twilio
/
user-phone-numbers
List Phone Numbers
curl --request GET \
  --url https://api.trillet.ai/v1/api/twilio/user-phone-numbers \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "phoneNumbers": [
    {
      "_id": "665a1b2c3d4e5f6a7b8c9d0e",
      "phoneNumber": "+14155551234",
      "provider": "twilio",
      "country": "US",
      "type": "local",
      "status": "active",
      "workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
      "label": "Sales Line"
    }
  ]
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Response Fields

phoneNumbers
array
Array of phone number objects.
_id
string
Unique identifier for the phone number record.
phoneNumber
string
The phone number in E.164 format (e.g., +14155551234).
provider
string
The telephony provider (e.g., “twilio”, “sip”).
country
string
Country code of the phone number (e.g., “US”, “AU”).
type
string
Type of phone number (e.g., “local”, “tollFree”, “mobile”).
status
string
Current status of the phone number.
workspaceId
string
Workspace ID associated with the phone number.
label
string
Optional label for the phone number.
{
  "phoneNumbers": [
    {
      "_id": "665a1b2c3d4e5f6a7b8c9d0e",
      "phoneNumber": "+14155551234",
      "provider": "twilio",
      "country": "US",
      "type": "local",
      "status": "active",
      "workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
      "label": "Sales Line"
    }
  ]
}